View Issue Details

IDProjectCategoryView StatusLast Update
0003276Path[FreeCAD] Bugpublic2018-01-24 00:33
ReporterJoshMAssigned Tosliptonic 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformWindowsOSMicrosoft WindowsOS VersionWindows 10
Product Version[FreeCAD] 0.17 
Target VersionFixed in Version[FreeCAD] 0.17 
Summary0003276: Path-Workbench Has redundant Shape-From-Area menu items.
DescriptionPath-Workbench provides Shape-From-Area in both the Path-Menu, and the Path-Partial-Commands-Sub-Menu.
Steps To ReproduceLook at the Path-Workbench Path-Menu and Path->Partial Commands sub-menu and note redundancy.
Additional InformationConfirmed by Sliptonic in: https://forum.freecadweb.org/viewtopic.php?f=15&t=25511&start=10


OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.12643 (Git)
Build type: Release
Branch: master
Hash: 868d9cc6c215ce3a2ab20d454378ec00e1b9ed26
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0
Locale: English/UnitedStates (en_US)
Tagspackaging, Path

Relationships

related to 0002786 closedyorik Path.fromShape() doesn't produce correct path 

Activities

mlampert

2017-11-28 03:48

developer   ~0010487

The two ops in question are different - although they attempt to solve the same problem.
In the discussion to 2786 no conclusion has been reached as to how to resolve this issue - neither one of these ops is very attractive from an end user perspective (one is quite limited and the other isn't integrated with the rest of Path).

wmayer

2018-01-24 00:33

administrator   ~0010843

https://github.com/FreeCAD/FreeCAD/commit/21c845a64ce9bb715692d30124ed351e4b9cfd47

Issue History

Date Modified Username Field Change
2017-11-27 14:28 JoshM New Issue
2017-11-27 14:28 JoshM Tag Attached: packaging
2017-11-27 14:28 JoshM Tag Attached: Path
2017-11-27 20:33 Kunda1 Project FreeCAD => Path
2017-11-28 03:48 mlampert Note Added: 0010487
2017-11-28 03:48 mlampert Relationship added related to 0002786
2018-01-24 00:33 wmayer Assigned To => sliptonic
2018-01-24 00:33 wmayer Status new => closed
2018-01-24 00:33 wmayer Resolution open => fixed
2018-01-24 00:33 wmayer Fixed in Version => 0.17
2018-01-24 00:33 wmayer Note Added: 0010843